%define oname   curb

Name:       ruby-%{oname}
Version:    0.8.1
Release:    %mkrel 3
Summary:    Ruby libcurl bindings
Group:      Development/Ruby
License:    MIT
URL:        http://curb.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     curb-0.8.1-fix-str-fmt.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: curl-devel

%description
Curb (probably CUrl-RuBy or something) provides Ruby-language bindings for
the libcurl(3), a fully-featured client-side URL transfer library. cURL and
libcurl live at http://curl.haxx.se/

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/curb_core.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.8.1-3.mga3
+ Revision: 395823
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 380760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.8.1-1.mga3
+ Revision: 312814
- fix str fmt
- new version 0.8.1

* Sat Apr 16 2011 shikamaru <shikamaru> 0.7.15-1.mga1
+ Revision: 86547
- New version 0.7.15 - add check section

* Thu Feb 03 2011 shikamaru <shikamaru> 0.7.10-1.mga1
+ Revision: 46569
- imported package ruby-curb

